package intrinsic.mx.logging;

public class Log extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Log() {
}


/** Static Methods */
public static native void addTarget(intrinsic.mx.logging.ILoggingTarget arg0);
public static native void flush();
public static native intrinsic.mx.logging.ILogger getLogger(String arg0);
public static native boolean hasIllegalCharacters(String arg0);
public static native boolean isError();
public static native boolean isDebug();
public static native boolean isInfo();
public static native void removeTarget(intrinsic.mx.logging.ILoggingTarget arg0);
public static native boolean isWarn();
public static native boolean isFatal();

/** Methods */

}
